Subject: Re: bug#13524: Improving user experience for non-recursive builds

From: Stefano Lattarini <[email-masked]>
Date: Sun, 27 Jan 2013 20:21:42 +0100

Hi Peter.

On 01/27/2013 01:54 AM, Peter Rosin wrote:
>
> [SNIP]
>
>> Zapping the NIH part reduced the code size significantly (the patch
>> is now short, sweet and unintrusive again) so I'm posting a new version.
>> After all, it's a new day, right?
>>
>> I hope it's ok to use File::Spec->abs2rel () in Automake?
>
Yes, File::Spec is a core perl module.

> 
> This time with documentation and a NEWS entry. I also fixed the case
> of including something above the current base Makefile.am with a
> relative path, e.g.:
> 
> 	include ../top.mk
> 
> That change shaved a couple of more lines. Neat.
> 
> I also rebased it, so now it is against master.
> 
Thanks, it seems nice and good.  I'm doing some testsuite enhancements,
and then I have some proposals for further tweaks, but all of those
should be for follow-up patches.  Will you allow me some days to prepare
a follow-up patch series for further discussion?

Thanks,
  Stefano